import { useEffect, memo } from "react"
import { useLocaleContext, useTranslate } from "./i18n"

export const SideEffect = memo(() => {
  const { locale } = useLocaleContext()
  const t = useTranslate()

  useEffect(() => {
    document.documentElement.lang = locale
    document.title = t.label.app_name
  }, [locale])

  return null
})
