import { defineConfig } from "vite"
import react from "@vitejs/plugin-react"
import yaml from "@rollup/plugin-yaml"
import babel from "./scripts/vite-babel"

// https://vitejs.dev/config/
export default defineConfig({
  base: "./",
  plugins: [babel(), react(), yaml()],
  define: {
    global: "globalThis",
    "process.browser": "true",
    "process.env.NODE_DEBUG": "false",
  },
  build: {
    outDir: "dist/web",
    rollupOptions: {
      external: ["fs", ""],
    },
  },
  resolve: {
    alias: {
      path: require.resolve("path-browserify"),
      buffer: require.resolve("buffer"),
    },
  },
})
